Subject: bug#68235: 29.1.90; Switching tabs stops following process output in selected window

From: martin rudalics <[email-masked]>
Date: Fri, 5 Jan 2024 10:24:06 +0100

>> Everything works nicely, and point follows the output,
 >> when this code is removed from 'tab-bar-select-tab':
 >>
 >>    ;; set-window-configuration does not restore the value of
 >>    ;; point in the current buffer, so restore it separately.
 >>    (when (and (markerp wc-point)
 >>               (marker-buffer wc-point)
 >>               ;; FIXME: After dired-revert, marker relocates to 1.
 >>               ;; window-configuration restores point to global point
 >>               ;; in this dired buffer, not to its window point,
 >>               ;; but this is slightly better than 1.
 >>               ;; Maybe better to save dired-filename in each window?
 >>               (not (eq 1 (marker-position wc-point))))
 >>      (goto-char wc-point))
 >
 > Maybe we should make exceptions in buffers like *completions*?
 >
 > In general, restoring point is a good idea.
 >
 >> The problem is that I still can't figure out in what cases point should be
 >> restored manually.
 >
 > When the buffer was shown in another window, I think.  Martin might
 > have a definite answer.

I think the snippet above should be executed iff the buffer's
'window-point-insertion-type' is nil.

martin